aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-11-13 00:47:42 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-11-13 00:48:30 +1300
commitd51d5f6be2e25f31a1314900ec74239bb72f7412 (patch)
tree2799f3844e5aec61b4ab6442f9b761f2695ac669 /bin
parentUpdate submodules (diff)
downloaddotfiles-d51d5f6be2e25f31a1314900ec74239bb72f7412.tar.gz
dotfiles-d51d5f6be2e25f31a1314900ec74239bb72f7412.zip
Simplify/correct dmp(1) copying
Remove timeout feature; not working anyway
Diffstat (limited to 'bin')
-rwxr-xr-xbin/dmp7
1 files changed, 2 insertions, 5 deletions
diff --git a/bin/dmp b/bin/dmp
index fabb61a2..2c412081 100755
--- a/bin/dmp
+++ b/bin/dmp
@@ -1,8 +1,5 @@
#!/bin/sh
-# Sole optional argument is the password timeout (defaults to 10 seconds)
-timeout_sec=${1:-10}
-
# Get the password store directory, bail if we can't
pwsd=${PASSWORD_STORE_DIR:-$HOME/.password-store}
pwsd=${pwsd%/}
@@ -25,8 +22,8 @@ pw=$(
# Bail if we don't have a password
[ -n "$pw" ] || exit
-# Pump the password into the clipboard xsel(2); allow 10 seconds
-pass show "$pw" | xsel -ibt "$((timeout_sec * 1000))" || exit
+# Pump the first line of the password into the clipboard
+pass show "$pw" | sed 1q | xsel -ib || exit
# If we have notify-send(1), alert that the password has been copied
if command -v notify-send >/dev/null >&2 ; then